Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.multicast
Class MulticastTransportChannel

    java.lang.Object
      org.codehaus.activemq.transport.AbstractTransportChannel
          org.codehaus.activemq.transport.udp.UdpTransportChannel
              org.codehaus.activemq.transport.multicast.MulticastTransportChannel

All Implemented Interfaces:
  java.lang.Runnable, Service, TransportChannel

public class MulticastTransportChannel
extends UdpTransportChannel

A multicast implementation of a TransportChannel

Version:
  $Revision: 1.11 $

Field Summary

Fields inherited from class org.codehaus.activemq.transport.udp.UdpTransportChannel
`inetAddress, port, socket`

Constructor Summary
`MulticastTransportChannel(WireFormat wireFormat, java.net.MulticastSocket socket)`
`MulticastTransportChannel(WireFormat wireFormat, java.net.URI remoteLocation)` Connect to a remote Node - e.g.

Method Summary
`protected void` | `connect()`
`protected java.net.DatagramSocket` | `createSocket(int port)`
`boolean` | `isMulticast()`
`java.lang.String` | `toString()` pretty print for object

Methods inherited from class org.codehaus.activemq.transport.udp.UdpTransportChannel
`asyncSend, createDatagramPacket, createDatagramPacket, run, start, stop`

Methods inherited from class org.codehaus.activemq.transport.AbstractTransportChannel
`addTransportStatusEventListener, doAsyncSend, doConsumePacket, doHandleReceipt, fireStatusEvent, fireStatusEvent, getClientID, getExceptionListener, getPacketListener, getTransportChannelListener, onAsyncException, removeTransportStatusEventListener, send, send, setClientID, setExceptionListener, setPacketListener, setTransportChannelListener, stopExecutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MulticastTransportChannel

    public MulticastTransportChannel(WireFormat wireFormat,
                                     java.net.URI remoteLocation)
                              throws JMSException

  Connect to a remote Node - e.g. a Broker

Parameters:
  `remoteLocation` -
Throws:
  `JMSException`

### MulticastTransportChannel

    public MulticastTransportChannel(WireFormat wireFormat,
                                     java.net.MulticastSocket socket)
                              throws JMSException

Parameters:
  `socket` -
Throws:
  `JMSException`

Method Detail

### isMulticast

    public boolean isMulticast()

  Specified by:
    `isMulticast` in interface `TransportChannel`
  Overrides:
    `isMulticast` in class `UdpTransportChannel`

### toString

    public java.lang.String toString()

  pretty print for object

  Overrides:
    `toString` in class `UdpTransportChannel`
  Returns:
    String representation of this object

### connect

    protected void connect()
                    throws java.io.IOException

  Overrides:
    `connect` in class `UdpTransportChannel`
  Throws:
    `java.io.IOException`

### createSocket

    protected java.net.DatagramSocket createSocket(int port)
                                            throws java.io.IOException

  Overrides:
    `createSocket` in class `UdpTransportChannel`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.